package servermsg;

import application.Status;

public class ResponseUploadStatus extends ServerMsg {
	private static final long serialVersionUID = 201010020428L;
	public static final short TYPE = 54;
	
	private Status status = null;
	
	public ResponseUploadStatus(String uid, long time, Status s) {
		super(uid, time, true);
		status = s;
	}
	
	public Status getStatus() {
		return status;
	}
	
	public short getType() {
		return TYPE;
	}
}
