package servermsg;

import java.io.Serializable;

public abstract class ServerMessage implements Serializable {
	
	protected static final long serialVersionUID = 201009301058L;
	protected String userId;
	protected long sendTime;
	protected long recvTime;
	
	/*
	 * io == true:  incoming msg, i.e., response from server
	 * io == false: outcoming msg, i.e., request to server
	 */
	protected boolean io; 
	
	public ServerMessage(String UsrID, long sentTime, long recvTime, boolean IOMark) {
		this.userId   = UsrID;
		this.sendTime = sentTime;
		this.recvTime = recvTime;
		this.io 	  = IOMark;
	}
	
	public boolean getIO() {
		return io;
	}
	
	public String getUserId() {
		return userId;
	}
	
	public long getSendTime() {
		return sendTime;
	}
	
	public long getRecvTime() {
		return recvTime;
	}
	
	public abstract short getType();
}
