package emulascript;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class Formatter {
	public static final String IDLIST_DIR = "/home/donatello/TwData_30thsd/idList92/";
	//public static final String ALLDIR = "D:/EventTimeDiff/"; //raw data
	public static final String USERNPORT_DIR = "/home/donatello/TwData_30thsd/UserNPort/";
	public static final String GUARDIAN_DIR = "/home/donatello/TwData_30thsd/GuardianIds/";
	
	public static final int START_PORT = 10000;
	
	/*
	//print id list to file
	public void printIdList2File() {
		try {
			PrintWriter os = new PrintWriter(new BufferedWriter(new FileWriter(IDLIST)));

			File dir = new File(ALLDIR);
			String[] filenames = dir.list();
			for(int i=0; i<filenames.length; i++) {
				os.println(filenames[i].replace("_event", ""));
				os.flush();
			}
			os.close();
		} catch(IOException e) {
			e.printStackTrace();
		}
	}
	*/
	
	public void arrangePort() {
		File idDir = new File(IDLIST_DIR);
		File[] idfiles = idDir.listFiles();
		
		for(int i=0; i<idfiles.length; i++) {
			int startPort = START_PORT;
			try {
				BufferedReader is = new BufferedReader(new FileReader(idfiles[i]));
				String name = idfiles[i].getName();
				String t = name.substring(name.length()-2, name.length());
				try {
					Integer.valueOf(t);
				} catch(Exception e) {
					t = name.substring(name.length()-1, name.length());
				}
				PrintWriter os = new PrintWriter(new BufferedWriter(new FileWriter(USERNPORT_DIR+"userNport"+t)));
				String userId = null;
				while((userId = is.readLine()) != null) {
					userId = userId.trim();
					String uport = userId + "#" + startPort;
					os.println(uport);
					os.flush();
					startPort ++;
				}
				is.close();
				os.close();
			} catch(IOException e) {
				e.printStackTrace();
			}
		}
	}
	
	public void arrangeGuardianIds() {
		File idDir = new File(IDLIST_DIR);
		File[] idfiles = idDir.listFiles();
		
		for(int i=0; i<idfiles.length; i++) {
			int t=i+1;
			try {
				PrintWriter os = new PrintWriter(new BufferedWriter(new FileWriter(GUARDIAN_DIR+"guardianIdList"+t)));
				for(int j=1; j<=BootstrapGuardian.NUM_OF_GUARDIAN; j++) {
					long id = (long) (Math.pow(10, i) + j);
					os.println(id);
				}
				os.flush();
				os.close();
			} catch(IOException e) {
				e.printStackTrace();
			}
		}
	}
	
	public static void main(String[] args) {
		Formatter f = new Formatter();
		//f.printIdList2File();
		f.arrangePort();
		//f.arrangeGuardianIds();
	}
	
}
