package testing;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;

public class Transfer2UTF8 {
	
	public static void transfer(String in, String out) {
		try {
			BufferedReader is = new BufferedReader(new FileReader(in));
			OutputStreamWriter os = new OutputStreamWriter(new FileOutputStream(out), "UTF-8");
			
			String line = null;
			while( (line = is.readLine()) != null) {
				System.out.println(line);
				os.write(line + "\n");
				os.flush();
			}
			is.close();
			os.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		transfer("./96951800_tweet - Copy", "./tweets");
	}
}
