package toolbox;

import java.util.HashMap;
import java.util.LinkedList;

import message.CuckooMsg;

public class Mailbox {
	private HashMap<String, LinkedList<CuckooMsg>> mailbox = new HashMap<String, LinkedList<CuckooMsg>>();
	
	public void add2mailbox(String id, CuckooMsg cmsg) {
		LinkedList<CuckooMsg> alist = mailbox.get(id);
		if(alist == null) {
			alist = new LinkedList<CuckooMsg>();
			alist.add(cmsg);
			mailbox.put(id, alist);
		} else {
			alist.add(cmsg);
		}
	}
	
	public LinkedList<CuckooMsg> getQueuedCuckooMsgs(String uid) {
		return mailbox.get(uid);
	}
	
	public void clearMailBox() {
		mailbox.clear();
	}
	
	/*
	public void printMailbox() {
		Set<String> keylist = mailbox.keySet();
		Iterator<String> keyIter = keylist.iterator();
		while(keyIter.hasNext()) {
			String i = keyIter.next();
			LinkedList<Status> ll = mailbox.get(i);
			Iterator<Status> stIter = ll.iterator();
			while(stIter.hasNext()) {
				System.out.print("To node[" + i +"]: " + stIter.next().toString());
			}
		}
	}*/
}
